Skip to main content
GET
/
public
/
v2
/
accounts
List accounts
curl --request GET \
  --url https://api.dualentry.com/public/v2/accounts/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "number": 123,
      "description": "<string>",
      "is_active": true,
      "is_system": true,
      "company_id": 123,
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

integration_sources
enum<string>[] | null
Available options:
bill_com,
ramp,
zoho,
fivetran,
stripe,
hubspot,
brex,
cubby,
avalara,
deel,
tax1099,
sitelink,
postgresql,
qlik,
power_bi,
snowflake,
avidxchange,
concur,
salesforce,
quickbooks,
xero,
netsuite_suiteanalytics,
sage_intacct,
adp_totalsource,
justworks,
paychex_flex,
paycom,
gusto,
ukg_ready
search
string | null
id
integer[] | null
name
string | null
description
string | null
number
integer | null
account_types
string[] | null
is_active
boolean | null
is_system
boolean | null
is_monetary
boolean | null
company_id
(integer | string | null)[] | null

Only filters by company_id field used in Bank and Credit Card accounts.

parent_account_id
integer | null
financial_account_id
(integer | string)[] | null

Only filters by financial_account_id field used in Bank and Credit Card accounts.

no_financial_account
boolean | null
currency_iso_4217_code
enum<string>[] | null
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
category_1099
string[] | null
should_sync_pending
boolean | null
company_id_access
integer[] | null

A combined filter by company_id_access, and the company_id field used in Bank and Credit Card accounts.

numbers
integer[] | null
names
string[] | null
system_ref
enum<string>[] | null
Available options:
Accounts Receivable,
IC Accounts Receivable,
IC Due From,
Vendor Deposits,
Undeposited Funds,
Accumulated Depreciation,
Accounts Payable,
IC Accounts Payable,
IC Due To,
Customer Deposits,
Tax Payable,
Accrued Purchases,
Deferred Revenue,
Cumulative Translation Adjustment - Elimination,
Cumulative Translation Adjustment,
Retained Earnings,
Net Income,
Realized Gain/Loss,
Unrealized Gain/Loss,
Matching Gain/Loss,
Rounding Gain/Loss
exclude_mapped_to_other_companies
integer | null

When set to a company_id, only returns accounts that are completely unmapped (no company_id and no AccountCompanyAccess). Used during migration to avoid selecting accounts already mapped to any company.

start_date
string<date> | null
end_date
string<date> | null
ordering
string | null
default:number
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicAccountSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026